/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.Date;

/**
 * 人员证书Entity
 * @author fgy
 * @version 2017-12-08
 */
public class Certificate extends DataEntity<Certificate> {
	
	private static final long serialVersionUID = 1L;
	private String userId;		// 用户id
	private String userInfoId ;  //sys_user_info
	private String name;		// 证书名称
	private String number;		// 证书编号
	private String profession;		// 证书专业
	private String level;		// 证书等级
	private Date getDate;		// 取得日期
	private Date endDate;		// 证书有效期
	private Workattachment certificate ; //证书

	public Certificate() {
		super();
	}

	public Certificate(String id){
		super(id);
	}

	@ExcelField(title="用户id", align=2, sort=7)
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@ExcelField(title="证书名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title="证书编号", align=2, sort=9)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	@ExcelField(title="证书专业", align=2, sort=10)
	public String getProfession() {
		return profession;
	}

	public void setProfession(String profession) {
		this.profession = profession;
	}

	@ExcelField(title="证书等级", align=2, sort=11)
	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="取得日期", align=2, sort=12)
	public Date getGetDate() {
		return getDate;
	}

	public void setGetDate(Date getDate) {
		this.getDate = getDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="证书有效期", align=2, sort=13)
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Workattachment getCertificate() {
		return certificate;
	}


	public void setCertificate(Workattachment certificate) {
		this.certificate = certificate;
	}


	public String getUserInfoId() {
		return userInfoId;
	}

	public void setUserInfoId(String userInfoId) {
		this.userInfoId = userInfoId;
	}
}